$(function() {
    $('form').validate({ ignore: '.ignore', submitHandler: function(form) { if (customValidate()) form.submit(); } });
    $("textarea").markItUp(mySettings);
    var taskid = parseInt($("#taskid").val(), 10);
    if (taskid > 0) {
        importTask(taskid, true);
        changeParent();
    }
	
	//если форма открыта на редактирование, подкючим плагин для работы с тегами
	if ($('#tid').length > 0) {	
		//добавим класс 'selected' ко всем элементам скрытого списка уже существующих тегов
		//, т.к. мы должны их вижеть в строке ввода 
		$('#tid > option').addClass('selected');
		
		//инициализация плагина
		$('#tid').fcbkcomplete({
			json_url: base + 'kbdocument.ivp/findtags',
			complete_text: KBResources.TagFcbkCompleteMessage,
			maxitems: 100,
			newel: true
		});
	}
	
	//если создаем документ из заявки, то кнока сохранить и вернутся, должна возвращать в рубрику к которой теперь приписан документ
	$('.saveandreturn').click(function (){
		if ($('#taskid').val()!=0 && $('#id').val()==0 && $('#parentid').val()!=0){
			
			$('#returnaftersave').val(base+'kb.ivp/view/'+$('#parentid').val());
			
			}
	});
	
});

function customValidate() {
    if ($('form').validate().numberOfInvalids() == 0) {
        var parentid = parseInt($('#parentid').val(),10);
        if(parentid<=0)
        {
            alert(KBResources.ChooseSection);
            return false;
        }
        return true;
    }
}

function attachFile() {
    var n = $('#addfiles>div').length + 1;
    $('#addfiles').append('<div class="changed padded5"><input size="50" type="file" id="file' + n + '" name="file' + n + '" /></div>');
    return false;
}

function removeFile(id) {
    $.getJSON('kbdocument.ivp/removefile/' + id, { date: new Date().toString() }, function(result) {
        if (result.hasOwnProperty('IsOK') && result.IsOK == true)
            $('#file' + result.Id).fadeOut('fast').remove();
        else
            alert(result.Description);
    });
    return false;
}

function changeParent() {
    $('#parentadvice').show();
    $('#changelocationlink').hide();
    parent.frames.tree.setMode('SELECTONE');
    return false;
}

function setParent(id, path, breadcrumbs) {
    $('#changelocationlink').show();
    if (id < 0) {
        parent.frames.tree.setMode('NORMAL');
        $('#parentadvice').hide();
        return false;
    }
    if (!$('#oldparentid').val())
        $('#oldparentid').val($('#parentid').val());
		
    $('#parentid').val(id);
    $('#breadcrumbs').removeClass('hidden');
    $('#breadcrumbs').addClass('changed').text(breadcrumbs);
    $('#parentadvice').hide();
    return true;
}

function importTask(id, noAlert) {
    $.getJSON('kbdocument.ivp/importtask/' + id, { date: new Date().toString() }, function(result) {
        if (result.hasOwnProperty('IsOK') && result.IsOK == true) {
            var delimeter = '|<d>|';
            var r = result.Result.split(delimeter);
            $('#name').val(r[0])
            $('#shortdescription').val(r[1]);
            $('#description').val(result.Description);
            if (!noAlert)
                alert(KBResources.ArticleCreated + id);
        }
        else
            alert(result.Description);
    });    
    return false;
}

function tagSearch(id, value) {
    var parentFrame = window.parent.parent;
    var doc = parentFrame.document;

    //удалим существующие теги поиска
    parentFrame.removeAllSearchTags();

    //добавим выбранный тег
    var arr = new Array();
    arr.push(value);
    arr.push(id);
    parentFrame.searchTagSelected(arr);
    return false;
}
